Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80377 - startx causes reboot
Summary: startx causes reboot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-25 11:54 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:19 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-25 11:54:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
all of 2.4.18-17.7.x, 2.4.18-18.7.x, and 2.4.18-19.7.x causes a reboot of the PC
when X is started.Version 2.4.18-10 works.
XFree86 verion: XFree86-4.2.0-8

Hardware info:

 cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 1
model name      : AMD-K7(tm) Processor
stepping        : 2
cpu MHz         : 548.942
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
mmx syscall mmxext 3dnowext 3dnow
bogomips        : 1094.45
 cat /proc/iomem 
00000000-0009fbff : System RAM
0009fc00-0009ffff : reserved
000a0000-000bffff : Video RAM area
000c0000-000c7fff : Video ROM
000f0000-000fffff : System ROM
00100000-27feffff : System RAM
  00100000-002199fc : Kernel code
  002199fd-002e56bf : Kernel data
27ff0000-27ff2fff : ACPI Non-volatile Storage
27ff3000-27ffffff : ACPI Tables
d8000000-dbffffff : PCI Bus #01
  d8000000-d8003fff : Matrox Graphics, Inc. MGA G400 AGP
  d9000000-d97fffff : Matrox Graphics, Inc. MGA G400 AGP
dc000000-ddffffff : Advanced Micro Devices [AMD] AMD-751 [Irongate] System Contr
oller
de000000-dfffffff : PCI Bus #01
  de000000-dfffffff : Matrox Graphics, Inc. MGA G400 AGP
e1000000-e1000fff : Advanced Micro Devices [AMD] AMD-756 [Viper] USB
  e1000000-e1000fff : usb-ohci
e1001000-e1001fff : Adaptec AHA-7850
  e1001000-e1001fff : aic7xxx
e1002000-e1002fff : Standard Microsystems Corp [SMC] 83C170QF
  e1002000-e1002fff : epic100
e1003000-e1003fff : Advanced Micro Devices [AMD] AMD-751 [Irongate] System Contr
oller
ffff0000-ffffffff : reserved
 cat /proc/pci 
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Advanced Micro Devices [AMD] AMD-751 [Irongate] System
Controller (rev 35).
      Master Capable.  Latency=32.  
      Prefetchable 32 bit memory at 0xdc000000 [0xddffffff].
      Prefetchable 32 bit memory at 0xe1003000 [0xe1003fff].
      I/O at 0xd000 [0xd003].
  Bus  0, device   1, function  0:
    PCI bridge: Advanced Micro Devices [AMD] AMD-751 [Irongate] AGP Bridge (rev 1).
      Master Capable.  Latency=32.  Min Gnt=14.
  Bus  0, device   7, function  0:
    ISA bridge: Advanced Micro Devices [AMD] AMD-756 [Viper] ISA (rev 1).
  Bus  0, device   7, function  1:
    IDE interface: Advanced Micro Devices [AMD] AMD-756 [Viper] IDE (rev 3).
      Master Capable.  Latency=32.  
      I/O at 0xf000 [0xf00f].
  Bus  0, device   7, function  3:
    Bridge: Advanced Micro Devices [AMD] AMD-756 [Viper] ACPI (rev 3).
      Master Capable.  Latency=32.  
  Bus  0, device   7, function  4:
    USB Controller: Advanced Micro Devices [AMD] AMD-756 [Viper] USB (rev 6).
      IRQ 5.
      Master Capable.  Latency=16.  Max Lat=80.
      Non-prefetchable 32 bit memory at 0xe1000000 [0xe1000fff].
  Bus  0, device   8, function  0:
    Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 8).
      IRQ 11.
      Master Capable.  Latency=32.  Min Gnt=2.Max Lat=20.
      I/O at 0xd400 [0xd41f].
  Bus  0, device   8, function  1:
    Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 8).
      Master Capable.  Latency=32.  
      I/O at 0xd800 [0xd807].
  Bus  0, device  10, function  0:
    SCSI storage controller: Adaptec AHA-7850 (rev 3).
      IRQ 10.
      Master Capable.  Latency=32.  Min Gnt=4.Max Lat=4.
      I/O at 0xdc00 [0xdcff].
      Non-prefetchable 32 bit memory at 0xe1001000 [0xe1001fff].
  Bus  0, device  12, function  0:
    Ethernet controller: Standard Microsystems Corp [SMC] 83C170QF (rev 8).
      IRQ 11.
      Master Capable.  Latency=32.  Min Gnt=8.Max Lat=28.
      I/O at 0xe000 [0xe0ff].
      Non-prefetchable 32 bit memory at 0xe1002000 [0xe1002fff].
  Bus  1, device   5, function  0:
    VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 4).
      IRQ 7.
      Master Capable.  Latency=64.  Min Gnt=16.Max Lat=32.
      Prefetchable 32 bit memory at 0xde000000 [0xdfffffff].
      Non-prefetchable 32 bit memory at 0xd8000000 [0xd8003fff].
      Non-prefetchable 32 bit memory at 0xd9000000 [0xd97fffff].


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install one of the three newest versions of the kernel
2.Reboot
3.Crash during startx causes reboot
4.weep
    

Actual Results:  The system can not become operational

Expected Results:  A working system

Additional info:

After the first crash, fsck had to be run manually (automatic repair failed) !

Comment 1 Arjan van de Ven 2002-12-25 12:02:55 UTC
question: do you have a PS/2 mouse attached to your machine ?
(there is a bug in some AMD chipsets in this area if you don't)
does this also happen if you try the i586 instead of the athlon kernel ?

Comment 2 Need Real Name 2002-12-25 13:28:50 UTC
Wow, that was a fast response ! Yes, I do have a PS/2 mouse. I have tried i586
and i686 versions of the kernel rpm. Neither work (both causes reboot during
startx). I have now compiled a 2.4.20 kernel from kernel.org (based on the
config for Athlon found in the kernel-source rpm for 2.4.18-19.7.x and using
kgcc). It works (at least it does not reboot).

Comment 3 Bugzilla owner 2004-09-30 15:40:19 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.